%define upstream_name    Dist-Zilla-Plugin-Keywords
%define upstream_version 0.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Add keywords to metadata in your distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.300.39
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::PPI) >= 5.9.0
BuildRequires: perl(Encode)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Types::Common::String)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This plugin adds metadata to your distribution under the 'keywords' field.
The CPAN::Meta::Spec/keywords defines this field as:

    A List of keywords that describe this distribution. Keywords must not include whitespace.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.7.0-5.mga9
+ Revision: 1803340
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.7.0-4.mga8
+ Revision: 1494377
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.7.0-3.mga7
+ Revision: 1267537
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.7.0-2.mga6
+ Revision: 1026259
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.7.0-1.mga6
+ Revision: 1007213
- update to 0.007

* Mon Dec 28 2015 shlomif <shlomif> 0.6.0-1.mga6
+ Revision: 916608
- M-B-Tiny
- imported package perl-Dist-Zilla-Plugin-Keywords


* Mon Dec 28 2015 cpan2dist 0.006-1mga
- initial mageia release, generated with cpan2dist
